Bug 225887 - [73cat] Usages of Interface.super.method() for default methods are marked as errors @ jdk8lambda
[73cat] Usages of Interface.super.method() for default methods are marked as ...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.4
PC Windows 7
: P2 (vote)
: 7.4
Assigned To: Dusan Balek
issues@java
: NO73
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 12:16 UTC by misterm
Modified: 2013-02-14 12:34 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description misterm 2013-02-08 12:16:59 UTC
Steps to reproduce:

- Checkout threeten sources ( http://hg.openjdk.java.net/threeten/threeten/jdk/ );
- Open java.time.YearMonth;

Usages of Temporal.super.<method> are marked as errors, saying no enclosing instance of type Temporal is in scope, but it compiles with no errors.

Product Version = NetBeans IDE Dev (Build jdk8lambda-1641-on-20130208)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.8.0-ea
Runtime = OpenJDK 64-Bit Server VM 25.0-b15
Comment 1 Jan Lahoda 2013-02-11 13:32:01 UTC
This should fix that:
http://hg.netbeans.org/jet-main/rev/eab726b842b1
Comment 2 Quality Engineering 2013-02-13 12:24:04 UTC
Integrated into 'main-golden', will be available in build *201302130937* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/bc21dd82c156
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #225887: calling a super interface' method via "<interface>.super" is fine.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo